/*=====================COLORS=====================*/

:root {
    --lcv_green: #ffcd16;
    --lcv_green_zero_emission: #53AE32;
    --lcv_green_darker: #d7af15;
    --lcv_green_lighter: #f9df8a;
    --lcv_black: #000000;
    --lcv_grey: #F1F1F1;
    --lcv_grey_darker: #D0D0D0;
    --lcv_grey_darker_darker: #D6D6D6;
    --lcv_white: #FFFFFF;
    --red_error: #FF0000;
    --green_success: #4DAB32;
    --blue_info: #6BBCFF;
}

* {
    margin: 0;
    font-family: 'Montserrat', sans-serif;
}

body {
    background-attachment: fixed;
    background-position: center;
    background-color: var(--lcv_white);
}

header {
    color: var(--lcv_white);
    background-color: var(--lcv_black);
    z-index: 100000;
    box-sizing: inherit;
}

header .box__premier {
    display: flex;
    flex-wrap: wrap;
    height: 30px;
    font-size: 20px;
    line-height: 30px;
    border-bottom: 2px solid var(--lcv_white);
}

header .box__premier .box__premier__commentaire {
    width: calc(70% - 10px);
    background-color: var(--lcv_black);
    padding-left: 10px;
}

header .box__premier .box__premier__agences {
    width: calc(30% - 2px);
    background-color: var(--lcv_black);
    text-align: center;
    border-left: 2px solid var(--lcv_white);
    text-decoration: none;
    color: var(--lcv_white);
}

header .box__premier .box__premier__agences:hover {
    background-color: var(--lcv_green);
}

header .box__second {
    display: flex;
    flex-wrap: wrap;
    height: 100px;
    border-bottom: solid 2px var(--lcv_white);
    line-height: 100px;
    white-space: nowrap;
    vertical-align: middle;
}

header .box__second .box__second__logo {
    width: calc(35% - 10px);
    height: 80%;
    padding-left: 10px;
    padding-top: 10px;
}

header .box__second .box__second__logo a img {
    height: 100%;
}

header .box__second .box__second__recherche {
    width: 45%;
}

header .box__second .box__second__recherche form input[type="search"] {
    width: 60%;
    height: 40px;
    border: none;
    outline: none;
    font-size: 14px;
}

header .box__second .box__second__recherche form input[type="submit"] {
    width: 20%;
    height: 40px;
    left: -5px;
    border: none;
    outline: none;
    cursor: pointer;
    background: var(--lcv_green);
    color: var(--lcv_white);
    font-size: 14px;
}

header .box__second .box__second__recherche form input[type="submit"]:hover {
    background-color: var(--lcv_green_darker);
}

header .box__second .box__second__cat {
    width: calc(20% - 2px);
    border-left: solid 2px var(--lcv_white);
    text-align: center;
    height: 100%;
}

header .box__second .box__second__cat:hover {
    background-color: var(--lcv_green);
}

header .box__second .box__second__cat img {
    padding-top: 20px;
    height: 60%;
}


/*==============================Partie listes déroulante=========================================*/

header nav {
    z-index: 100000;
}

header nav ul.box__nav__ul {
    margin: 0;
    padding: 0;
    display: flex;
}

header nav ul.box__nav__ul li.box__nav__li {
    list-style: none;
    position: relative;
    font-size: 18px;
    width: calc(41% - 2px);
    border-left: solid 2px var(--lcv_white);
    text-align: center;
}

header nav ul.box__nav__ul li:hover {
    background-color: var(--lcv_green);
}

header nav ul.box__nav__ul li.zero_emission:hover {
    background-color: var(--lcv_green_zero_emission);
}

header nav ul.box__nav__ul li a {
    text-decoration: none;
    color: var(--lcv_white);
    height: 40px;
    line-height: 40px;
    display: block;
}

header nav ul.box__nav__ul li.box__nav__li:first-child {
    border-left: none;
}

header nav ul.box__nav__ul li.box__nav__li:last-child {
    width: calc(18% - 2px);
}

header nav ul li ul.menu__ul {
    position: absolute;
    z-index: 100000;
    display: none;
    margin: 0;
    padding: 0;
    width: 100%;
    background-color: var(--lcv_black);
}

header nav ul li.active ul.menu__ul {
    display: grid;
}

header nav ul li ul.menu__ul li {
    display: block;
    height: 40px;
    line-height: 40px;
    position: relative;
    border-top: solid 2px var(--lcv_white);
    font-size: 15px;
    list-style: none;
    position: relative;
    text-align: center;
    padding: 2px;
    width: 100%;
}

header nav ul li ul li.menu__li:first-child {
    border-left: none;
}

.conditions_tarifs {
    font-size: 10px;
    margin: auto;
    padding: 5px;
}

@media (max-width: 930px) {
    header .box__premier {
        font-size: 17px;
    }
    header .box__second {
        height: 80px;
        line-height: 80px;
    }
    header .box__second .box__second__recherche form input[type="submit"] {
        width: 30%;
    }
    header nav ul.box__nav__ul li.box__nav__li {
        font-size: 16px;
    }
}

@media (max-width: 730px) {
    header {
        overflow-x: hidden;
    }
    header .box__premier .box__premier__commentaire {
        display: none;
    }
    header .box__premier .box__premier__agences {
        padding-left: 10%;
        width: 80%;
        background-color: var(--lcv_black);
        text-align: center;
        border-left: none;
        display: block;
        font-size: 24px;
    }
    header .box__premier .box__premier__menu {
        width: 10%;
        color: var(--lcv_white);
        text-align: center;
        display: block;
        font-size: 24px;
    }
    header .box__second {
        display: block;
        text-align: center;
        height: 140px;
        border: none;
        overflow: hidden;
    }
    header .box__second .box__second__logo {
        height: 60px;
        width: 100%;
        overflow: hidden;
        display: block;
    }
    header .box__second .box__second__recherche {
        width: 100%;
        padding: initial;
    }
    header .box__second .box__second__cat {
        display: none;
    }
    header nav {
        position: absolute;
        top: 170px;
        width: 100%;
        height: calc(100vh - 170px);
        background: var(--lcv_black);
        left: -100%;
        transition: 0.5s;
    }
    header nav.active {
        left: 0;
    }
    header nav ul.box__nav__ul {
        display: block;
    }
    header nav ul.box__nav__ul li.box__nav__li {
        width: 100%;
        border-left: none;
    }
    header nav ul.box__nav__ul li.box__nav__li:last-child {
        width: 100%;
    }
    header nav ul li ul.menu__ul {
        position: relative;
    }
    header nav ul li ul.menu__ul li {
        background-color: #585858;
    }
    .li__cat {
        display: block;
        height: 50px;
    }
    .li__cat img {
        height: 40px;
        padding-top: 5px;
        padding-bottom: 5px;
    }
}

@media (min-width: 731px) {
    header .box__premier .box__premier__menu {
        display: none;
    }
    .li__cat {
        display: none;
    }
}